Products - List
获取商业公共产品列表。
GET https://catalogapi.azure.com/products?api-version=2023-05-01-preview
GET https://catalogapi.azure.com/products?api-version=2023-05-01-preview&storefront={storefront}&language={language}&locations={locations}&market={market}&hideKeys={hideKeys}&select={select}&filter={filter}&expand={expand}&orderby={orderby}
URI 参数
| 名称 | 在 | 必需 | 类型 | 说明 |
|---|---|---|---|---|
|
api-version
|
query | True |
string |
用于请求的 REST API 的版本。 |
|
expand
|
query |
string[] |
内联扩展相关实体。 示例:“expand=startingPrice” |
|
|
filter
|
query |
string |
根据布尔条件筛选结果。 示例:'filter=productType eq “VirtualMachine”' 。 可按以下方式筛选的字段:
|
|
|
hide
|
query |
string[] |
此密钥用于检索预览产品,并在产品/服务发布过程中在合作伙伴中心内生成。 |
|
|
language
|
query |
string |
要搜索的语言,ISO 639-1 双字母代码,可能的值为“en,cs,de,es,fr,胡,it,ja,ko,nl,pl,pt-br,pt-pt,ru,sv,tr,zh-hans,zh-hant”。 默认值为“en” |
|
|
locations
|
query |
string[] |
返回所选位置可用的产品。 Azure 数据中心区域的枚举。 请参见https://azure.microsoft.com/regions/ |
|
|
market
|
query |
string |
产品市值(响应将仅包括可在指定市场销售的产品)可能的值可在 https://docs.microsoft.com/en-us/azure/marketplace/marketplace-geo-availability-currencies找到。 示例:“US” |
|
|
orderby
|
query |
string |
使用 OData 表示法对结果进行排序。 除非这可能会影响请求的延迟,否则请避免使用 orderby。 示例:“orderby=displayName desc”。此 API 仅支持按单个字段排序。 可按以下方式排序的字段:
|
|
|
select
|
query |
string[] |
选择要包含在结果中的属性。 示例:“select=displayName” |
|
|
storefront
|
query |
string |
返回 Azure 门户市场、AppSource 或 Azure 市场门户中可用的产品。 可能的值包括:
|
请求头
| 名称 | 必需 | 类型 | 说明 |
|---|---|---|---|
| X-API-Key | True |
string |
使用市场目录团队提供的 API 密钥作为标头中提供的参数 |
响应
| 名称 | 类型 | 说明 |
|---|---|---|
| 200 OK |
返回公共或预览版产品的列表 |
|
| Other Status Codes |
错误响应:
标头 x-ms-error-code: string |
示例
List_Products
示例请求
GET https://catalogapi.azure.com/products?api-version=2023-05-01-preview&language=en&market=US
示例响应
{
"items": [
{
"displayName": "productDisplayName",
"popularity": 1,
"categoryIds": [
"monitoring-and-diagnostics",
"virtualMachine"
],
"industryIds": [
"consumer-goods",
"retailers"
],
"publisherId": "Microsoft",
"azureBenefit": "Eligible",
"badges": [
"ExternalPurchase"
],
"publisherType": "Microsoft",
"publishingStage": "Public",
"uniqueProductId": "uniqueProductId",
"productType": "VirtualMachine",
"productSubType": "Azure",
"operatingSystems": [
"windows.others"
],
"pricingTypes": [
"Payg"
],
"publisherDisplayName": "Microsoft",
"longSummary": "longSummary",
"summary": "summary",
"smallIconUri": "SomeIconUri",
"description": "productDescription",
"ratingBuckets": [
"AboveOne"
],
"ratingAverage": 0,
"ratingCount": 0,
"plans": [
{
"planId": "plan1Id",
"uniquePlanId": "uniquePlan1Id",
"displayName": "displayName",
"vmArchitectureType": "X64Gen1",
"cspState": "SelectiveOptIn",
"metadata": {
"generation": null,
"altStackReference": null
},
"altStackReference": "altStackReference",
"stackType": "Classic",
"altArchitectureReference": "altArchitectureReference",
"categoryIds": [],
"hasProtectedArtifacts": false,
"pricingTypes": [
"Payg"
],
"vmSecuritytypes": [
"None"
],
"summary": "PlanSummary",
"description": "plan description",
"skuId": "0001",
"planType": "VirtualMachine",
"displayRank": "2147483647",
"isPrivate": false
}
],
"supportedProducts": [
"suportedProduct1"
],
"applicableProducts": [
"applicableProduct1"
],
"locations": [
"EU North"
],
"serviceFamily": "service family",
"service": "service name",
"productId": "product id",
"hasMarketplaceFootprint": true,
"attributes": null,
"lastModifiedDateTime": "2022-02-14T23:31:25.5733368+00:00"
},
{
"displayName": "display name",
"popularity": 0,
"publisherId": "Microsoft",
"azureBenefit": "NotEligible",
"publisherType": "Microsoft",
"productType": "AzureServices",
"productSubType": "Azure",
"pricingTypes": [],
"publisherDisplayName": "Microsoft",
"description": "description",
"locations": [
"US West 2",
"UK South",
"BR South"
],
"serviceFamily": "Compute",
"service": "Virtual Machines",
"productId": "product id",
"hasMarketplaceFootprint": false,
"attributes": [
{
"key": "attr1",
"value": "val1"
}
]
}
],
"nextPageLink": "https://catalogapi.azure.com/products?api-version=2023-05-01-preview&$skiptoken=W3s..."
}
定义
| 名称 | 说明 |
|---|---|
| Attribute |
表示由键和值组成的 SKU 属性。 这些属性可能因各种服务而异。 |
|
Azure |
Azure 消耗承诺权益的资格(https://docs.microsoft.com/en-us/marketplace/azure-consumption-commitment-benefit)。 可能的值:
|
| Badge |
锁屏提醒类型 |
|
Catalog |
响应页由产品对象列表(包括产品属性的子集)以及下一页链接组成。 通常,列表中返回的产品属性用于生成市场库的产品磁贴。 注意:请注意,每页返回的最大项目数为 100。 对于性能优化的具体情况,请联系Microsoft市场团队 MKPL_Platform_API_DL@microsoft.com |
|
Csp |
显示计划是否可通过 CSP 渠道购买的值。 可能的值:
|
|
Error |
API 错误响应对象 |
|
Error |
API 错误响应详细信息对象 |
| Metadata |
扩展的计划/SKU 元数据。 |
|
Plan |
指向相关 SKU 对象 |
|
Plan |
返回 Plan 属性的子集 |
|
Plan |
托管应用程序或解决方案模板计划类型(仅适用于 Azure 应用程序产品)。 可能的值:
|
|
Pricing |
定价类型 |
|
Product |
返回 Product 属性的子集 |
|
Product |
传递方法或部署模型。 可能的值:
|
|
Publisher |
一个值,该值指示这是Microsoft还是第三方产品。 可能的值:
|
|
Publishing |
产品发布阶段。 可能的值:
|
|
Rating |
评级存储桶 |
| Sku |
货号 |
|
Starting |
产品最便宜的计划的零售价格 |
|
Vm |
VM 体系结构类型。 仅适用于虚拟机产品。 可能的值:
|
|
Vm |
VM 安全类型。 仅适用于虚拟机产品。 可能的值:
|
Attribute
表示由键和值组成的 SKU 属性。 这些属性可能因各种服务而异。
| 名称 | 类型 | 说明 |
|---|---|---|
| key |
string |
属性键 |
| value |
string |
属性值 |
AzureBenefit
Azure 消耗承诺权益的资格(https://docs.microsoft.com/en-us/marketplace/azure-consumption-commitment-benefit)。 可能的值:
-
Eligible- 该产品符合 Azure 消耗承诺权益的条件 -
NotEligible- 该产品不符合 Azure 消耗承诺权益的条件
| 值 | 说明 |
|---|---|
| Eligible | |
| NotEligible |
Badge
锁屏提醒类型
| 值 | 说明 |
|---|---|
| PreferredSolution | |
| PowerBICertified | |
| AdditionalPurchaseRequirement |
CatalogApiResponse
响应页由产品对象列表(包括产品属性的子集)以及下一页链接组成。 通常,列表中返回的产品属性用于生成市场库的产品磁贴。 注意:请注意,每页返回的最大项目数为 100。 对于性能优化的具体情况,请联系Microsoft市场团队 MKPL_Platform_API_DL@microsoft.com
| 名称 | 类型 | 说明 |
|---|---|---|
| items |
返回项的列表 |
|
| nextPageLink |
string (uri) |
链接到下一页,其中请求返回的结果多于单个页面 |
CspState
显示计划是否可通过 CSP 渠道购买的值。 可能的值:
-
OptIn- 为 CSP 计划中的任何合作伙伴计划配置的 CSP 计划选择加入 -
Optout- 计划配置的 CSP 计划选择退出 -
SelectiveOptIn- 为 CSP 计划 ISV 选择的特定合作伙伴规划配置的 CSP 计划选择。 有关详细信息,请参阅 https://docs.microsoft.com/en-us/azure/marketplace/cloud-solution-providers
| 值 | 说明 |
|---|---|
| OptIn | |
| OptOut | |
| SelectiveOptIn |
ErrorResponse
API 错误响应对象
| 名称 | 类型 | 说明 |
|---|---|---|
| error |
API 响应详细信息 |
ErrorResponseDetails
API 错误响应详细信息对象
| 名称 | 类型 | 说明 |
|---|---|---|
| code |
string |
错误代码说明。 例如 code=InternalError |
| message |
string |
错误消息。 例如消息=内部服务器错误 |
Metadata
扩展的计划/SKU 元数据。
| 名称 | 类型 | 说明 |
|---|---|---|
| altStackReference |
string |
指向保存备用堆栈引用的 planId |
| generation |
string |
VM 映像生成(仅适用于虚拟机产品)。请参阅 https://docs.microsoft.com/en-us/azure/virtual-machines/generation-2 |
| relatedSkus |
指向与此计划相关的计划的 planId |
PlanSkuRelation
指向相关 SKU 对象
| 名称 | 类型 | 说明 |
|---|---|---|
| relationType |
string |
关系类型 |
| sku |
货号 |
PlanSummary
返回 Plan 属性的子集
| 名称 | 类型 | 说明 |
|---|---|---|
| altArchitectureReference |
string |
备用体系结构参考 |
| altStackReference |
string |
替代堆栈参考 |
| categoryIds |
string[] |
计划 CategoryIds |
| cspState |
显示计划是否可通过 CSP 渠道购买的值。 可能的值:
|
|
| description |
string |
计划/sku 说明 |
| displayName |
string |
计划/sku 的显示名称 |
| displayRank |
string |
计划的顺序显示在“计划”表中(由发布者配置) |
| hasProtectedArtifacts |
boolean |
如果计划具有要为未经身份验证的用户隐藏的项目,则设置为 true |
| hasRI |
boolean |
指示 SKU 是否支持预留 |
| isPrivate |
boolean |
指示只有受限受众才能访问该计划 |
| metadata |
扩展的计划/SKU 元数据。 |
|
| planId |
string |
计划 ID |
| planType |
托管应用程序或解决方案模板计划类型(仅适用于 Azure 应用程序产品)。 可能的值:
|
|
| pricingTypes |
指定此计划的定价类型的列表(可能的值与产品级别相同) |
|
| skuId |
string |
SKU ID |
| stackType |
string |
堆栈类型:经典、Gen1、Gen2 |
| summary |
string |
计划摘要文本 |
| uniquePlanId |
string |
唯一计划 ID,其前缀是将 uniqueProductId 和 PlanId 与两者之间没有分隔符的组合 |
| vmArchitectureType |
VM 体系结构类型。 仅适用于虚拟机产品。 可能的值:
|
|
| vmSecuritytypes |
VM 安全类型。 仅适用于虚拟机产品。 可能的值:
|
PlanType
托管应用程序或解决方案模板计划类型(仅适用于 Azure 应用程序产品)。 可能的值:
-
SolutionTemplate- 解决方案模板计划类型(仅适用于 Azure 应用程序) -
ManagedApplication- 托管应用程序计划类型(仅适用于 Azure 应用程序)
PricingType
定价类型
| 值 | 说明 |
|---|---|
| Free | |
| FreeTrial | |
| Byol | |
| Payg | |
| Ri |
ProductSummary
返回 Product 属性的子集
| 名称 | 类型 | 说明 |
|---|---|---|
| applicableProducts |
string[] |
产品/服务所属的产品类别 |
| attributes |
产品属性集(因产品类型而异),其中每个属性由一对键(属性名)和值(属性值)表示 |
|
| azureBenefit |
Azure 消耗承诺权益的资格(https://docs.microsoft.com/en-us/marketplace/azure-consumption-commitment-benefit)。 可能的值:
|
|
| badges |
Badge[] |
以下产品锁屏提醒可用:preferredSolution、powerBICertified、AdditionalPurchaseRequirement |
| categoryIds |
string[] |
产品类别数组,https://docs.microsoft.com/en-us/azure/marketplace/marketplace-categories-industries#categories。 例如“生产力” |
| cspLegalTermsUri |
string |
CSP 产品的法律条款 |
| description |
string |
产品说明文本 |
| displayName |
string |
产品显示名称 |
| hasMarketplaceFootprint |
boolean |
指示产品是否在市场中具有表示形式 |
| hasRIPlans |
boolean |
指示产品是否具有预留计划 |
| industryIds |
string[] |
项目所属的行业 ID 列表 |
| lastModifiedDateTime |
string (date-time) |
产品的最新更新日期 |
| linkedAddInsTypes |
object |
链接的外接程序类型 |
| locations |
string[] |
SKU 上可用的位置列表 |
| longSummary |
string |
产品长摘要 |
| operatingSystems |
string[] |
此产品的作系统信息 |
| plans |
此产品可用的计划列表 |
|
| popularity |
number (double) |
产品的受欢迎程度 |
| pricingTypes |
指定此套餐的定价类型的列表。 可能的值:
|
|
| privacyPolicyUri |
string |
产品的隐私策略 |
| productFamily |
string |
产品系列 |
| productId |
string |
产品的唯一 ID |
| productSubType |
string |
产品子类型 |
| productType |
传递方法或部署模型。 可能的值:
|
|
| publisherDisplayName |
string |
发布者显示名称 |
| publisherId |
string |
发布者 ID |
| publisherType |
一个值,该值指示这是Microsoft还是第三方产品。 可能的值:
|
|
| publishingStage |
产品发布阶段。 可能的值:
|
|
| ratingAverage |
number (double) |
产品/服务的平均评级 |
| ratingBuckets |
评级存储桶,高于 1、Above2、Above3、Above4 |
|
| ratingCount |
integer (int32) |
产品/服务评级总数 |
| service |
string |
产品的服务名称,例如“虚拟机” |
| serviceFamily |
string |
产品的服务系列,例如“计算” |
| smallIconUri |
string |
小产品图标的 URI |
| startingPrice |
产品最便宜的计划的零售价格 |
|
| summary |
string |
产品摘要 |
| supportedProducts |
string[] |
映射到发布者提供的兼容产品列表 |
| uniqueProductId |
string |
唯一的产品标识符 |
ProductType
传递方法或部署模型。 可能的值:
-
SaaS- 该产品是从云服务提供商以即用即付方式购买的软件解决方案 -
VirtualMachine- 产品是具有基于使用情况的定价的映像服务实例 -
AzureApplication- 发布为解决方案模板(ST)或 Azure 托管应用(AMA)的产品,用于将 Azure 资源部署到客户租户 -
DynamicsCE- DynamicsBC 和 DynamicsOps 以外的所有 Dynamics 产品 -
DynamicsBC- Dynamics 365 业务中心 -
Container- 产品作为容器交付 -
DynamicsOps- Dynamics 365 Operations 应用程序 -
None- 为 Azure 服务、容器扩展和 VM 扩展返回的产品类型 -
IotEdgeModules- 资源作为 IoT Edge 模块传送 -
ContainerApps- 资源作为容器应用传送 -
ConsultingServices咨询服务(仅在 Azure 市场中作为列表产品/服务提供) -
ManagedServices- 产品作为托管服务交付 -
PowerBI- Power BI 产品 -
CosellOnly- 仅在 Co-Sell 计划中提供的产品 -
PowerBIVisuals- Power BI 视觉对象产品 -
Office365- Office 365 产品 -
DevService- 开发服务 -
AADApps- Azure Active Directory 应用程序 -
VisualStudioExtension- Visual Studio 扩展 -
SolutionTemplate- 解决方案模板计划类型(仅适用于 Azure 应用程序) -
ManagedApplication- 托管应用程序计划类型(仅适用于 Azure 应用程序) -
MicrosoftProduct- 第一方 Azure 产品
| 值 | 说明 |
|---|---|
| None | |
| DevService | |
| ManagedApplication | |
| VirtualMachine | |
| AzureApplication | |
| Container | |
| SaaS | |
| SolutionTemplate | |
| IotEdgeModules | |
| ManagedServices | |
| ContainerApps | |
| VisualStudioExtension | |
| DynamicsOps | |
| DynamicsCE | |
| DynamicsBC | |
| PowerBI | |
| ConsultingServices | |
| CosellOnly | |
| CoreVirtualMachine | |
| PowerBIVisuals | |
| Office365 | |
| AADApps | |
| AzureServices | |
| AppService | |
| LogAnalytics | |
| MicrosoftProduct |
PublisherType
一个值,该值指示这是Microsoft还是第三方产品。 可能的值:
-
Microsoft- 产品由Microsoft发布(第一方产品) -
Third Party- 产品由第三方供应商发布
| 值 | 说明 |
|---|---|
| Microsoft | |
| ThirdParty |
PublishingStage
产品发布阶段。 可能的值:
-
Preview- 产品可供受限受众使用 -
Public- 产品在市场中公开发布
| 值 | 说明 |
|---|---|
| Preview | |
| Public |
RatingBucket
评级存储桶
| 值 | 说明 |
|---|---|
| AboveOne | |
| AboveTwo | |
| AboveThree | |
| AboveFour |
Sku
货号
| 名称 | 类型 | 说明 |
|---|---|---|
| generation |
string |
生成 |
| identity |
string |
标识 |
| name |
string |
名称 |
StartingPrice
产品最便宜的计划的零售价格
| 名称 | 类型 | 说明 |
|---|---|---|
| currency |
string |
价格货币 |
| market |
string |
计算起始价的市场 |
| meterUnits |
string |
计量定价模型单位 |
| minMeterPrice |
number |
起始(最小)米价格 |
| minTermPrice |
number |
起始(最小)条款价格 |
| termUnits |
string |
术语定价模型单位 |
VmArchitectureType
VM 体系结构类型。 仅适用于虚拟机产品。 可能的值:
-
Arm64- 计划的 VM 映像体系结构为 Arm64 -
X64Gen1- 计划的 VM 映像体系结构为 X64 Generation1 -
X64Gen2- 计划的 VM 映像体系结构为 X64 Generation2
| 值 | 说明 |
|---|---|
| X64Gen1 | |
| X64Gen2 | |
| Arm64 |
VmSecurityType
VM 安全类型。 仅适用于虚拟机产品。 可能的值:
- 标准 - 虚拟机的基本安全级别
- 受信任 - 防范具有可配置功能(例如安全启动和虚拟受信任的平台模块(vTPM)的 Gen2 虚拟机的持久和高级攻击
- 机密 - 基于受信任的启动,机密虚拟机提供更高的机密性和完整性,通过基于硬件的受信任执行环境保证
| 值 | 说明 |
|---|---|
| None | |
| Trusted | |
| Confidential |